Index: trunk/base/ChangeLog
===================================================================
--- trunk/base/ChangeLog	(revision 18721)
+++ trunk/base/ChangeLog	(revision 18722)
@@ -1,7 +1,107 @@
 #
-#	$Id: ChangeLog,v 1.27 2006/04/10 17:17:42 jberry Exp $
+#	$Id: ChangeLog,v 1.28 2006/07/25 05:04:07 pguyot Exp $
 #
 #	This is a log of major user-visible changes in each release
 #
+
+Release 1.3 (unreleased):
+
+	- Fixed a bug where only the first word of configuration settings (in
+	  ports.conf) was processed. This bug affected the use of extra_env.
+	  (Bugzilla #9948) (pguyot)
+
+	- Fixed a bug where environment variables governing proxy were not
+	  capitalized properly. (blb & jberry)
+
+	- Fixed a bug where port outdated and port ugprade didn't work in direct
+	  mode. (Bugzilla 7719, 7721) (dluke & jberry)
+
+	- Fixed several problems with iteration on ports. (jberry)
+	
+	- Fixed a bug where curl LDFLAGS weren't properly propagated. (landonf)
+	
+	- Fixed a bug where location update routine invoked when installing DP did
+	  not take the DESTDIR variable into account. (jmpp)
+
+	- Fixed a bug where patchfiles specifications could not have suffixes to
+	  indicate the master site. (pguyot)
+	
+	- Fixed spelling in port(1) man page. (Bugzilla 8103) (pjenvey & jberry)
+	
+	- Fixed a typo and another problem in messages generated by port command.
+	  (Bugzilla 6706 & 6712) (deric & jmpp)
+	
+	- Fixed a typo in ports.conf. (matt & jmpp)
+	
+	- Fixed several problems with launchd support (Bugzilla 8372 & 10041)
+	  (jberry)
+
+	- Fixed a bug preventing the use of libmd for checksums and added an
+	  informative compilation error if libcrypto and libmd cannot be found.
+	  (landonf)
+	
+	- Fixed a bug where thread2.6 Tcl library wasn't installed where DP is
+	  installed. (jmpp)
+
+	- Fixed a bugs in xcode PortGroup which prevented the use of a custom
+	  project path. (pguyot)
+	
+	- Fixed a bugs in xcode PortGroup which made destroot to fail when there
+	  were spaces in the install path. (pguyot)
+	
+	- Added more information to porthier(7) about ${prefix}/var/db/dports.
+	  (olegb)
+	
+	- Updated Gnome, KDE and SourceForge mirror lists. (Bugzilla 8045, 9152)
+	  (rwhood, blb, olegb & pguyot)
+
+	- Check earlier if there is no Portfile in a directory (especially when
+	  iterating). (jberry)
+
+	- Split livecheck into distcheck and livecheck. Added regex checking options
+	  and set the default to check against freshmeat. (pguyot)
+
+	- Discover path to rsync at autoconf time. (jberry)
+	
+	- Mark CVS, TAR, GNUTAR, and RSYNC as additional precious variables that can
+	  be overridden in configure environment at time of configure to customize
+	  the location of these tools. Note that these tools are not found in the dp
+	  prefix, as PATH is sanitized of references to prefix. But you could
+	  override the precious variables to acheive that if you really want to
+	  shoot yourself. (jberry)
+
+	- Set timeouts for curl transfers.  Some connections to sketchy mirror sites
+	  can hang forever otherwise. (jkh)
+	
+	- Shortened the time to upgrade with archive mode on by using archive as the
+	  target. (Bugzilla #7891) (dluke & jberry)
+
+	- Added support for sqlite 3. (jberry)
+
+	- Major update of the trace (-t) option (pguyot):
+	  * backported changes from darwinbuild's version of darwintrace, including
+	    several bug fixes.
+	  * cleaned up the code.
+	  * writing/creating and also unlinking a file outside allowed bounds are
+	    now blocked instead of being simply reported (previous version only
+	    reported creations).
+	  * fixed a bug where -t failed with X11 ports because ${prefix} got
+	    overwritten.
+
+	- Added new native commands to handle privileges chores. (jberry)
+	
+	- The interactive mode now uses readline. (jberry)
+	
+	- Initial version of portmirror binary to build a mirror of distfiles.
+	  (pguyot)
+
+	- Improvements and fixes to the tests. (pguyot)
+	
+	- Added a new option (checksum.skip=yes) to bypass the checksum phase. This
+	  option is mostly useful on the command line to test older distfiles.
+	  (jberry)
+
+	- Added dependencies for rpm on virtual packages representing releases of
+	  MacOS X. (mww)
 
 Release 1.2.1 (10-Apr-2006):