Index: trunk/dports/editors/vim/Portfile
===================================================================
--- trunk/dports/editors/vim/Portfile	(revision 19338)
+++ trunk/dports/editors/vim/Portfile	(revision 19339)
@@ -4,5 +4,5 @@
 name			vim
 set vim_version		7.0
-set vim_patchlevel	17
+set vim_patchlevel	66
 revision 		0
 version			${vim_version}.${vim_patchlevel}
Index: trunk/dports/editors/vim/patch_checksums
===================================================================
--- trunk/dports/editors/vim/patch_checksums	(revision 19338)
+++ trunk/dports/editors/vim/patch_checksums	(revision 19339)
@@ -17,3 +17,52 @@
                     7.0.015 sha1 253741ba6062ab7f850b63e771490dc19d8a04a0 \
                     7.0.016 sha1 5cd3e0a874227052feed665fddbdabf22ea704f1 \
-                    7.0.017 sha1 13a37438881c5edc50d6566458ee013fbe3f6f64
+                    7.0.017 sha1 13a37438881c5edc50d6566458ee013fbe3f6f64 \
+                    7.0.018 sha1 f56a8aad877bef4ce46f787956a743d351bdcad2 \
+                    7.0.019 sha1 6dd5a90f565a94363820b2a8b7c4df1cc1b4b20c \
+                    7.0.020 sha1 5c76e0ef602f0347555b87ecddbecadd757e619a \
+                    7.0.021 sha1 64c11edb3d9972777915e3c5ae089dbf6429a3dc \
+                    7.0.022 sha1 4add9ea1123ff3f3d109d90b8b9ebae7be691127 \
+                    7.0.023 sha1 5ac8fbbc51ddef5852d9dd1b41d588e8586fc22f \
+                    7.0.024 sha1 e75215b34a62a4744de6e139cdb489a76663bf77 \
+                    7.0.025 sha1 9d5b0aaae20bcb3ab182f192b5c7fb7429d36fce \
+                    7.0.026 sha1 52d9c3ac9383ea35e86570c6837efb423746d564 \
+                    7.0.027 sha1 c26be5605268358f02b6673ad356a444458b8d5d \
+                    7.0.028 sha1 c1b2131e95deb3a39e556c9405c5cb8c5f9c5eb8 \
+                    7.0.029 sha1 0a914a94ccfd7dd7d2bf48cd7d87decffb7d92c1 \
+                    7.0.030 sha1 582692a56a4341e9cf127dea8204821fd9b353b8 \
+                    7.0.031 sha1 405c33ca04fc4922cd1fd4e8533d3ae01d26ba64 \
+                    7.0.032 sha1 ee077ab67dc35758bd4300678fc483a45f29045d \
+                    7.0.033 sha1 895536469affc322088cd7e654095c2f7d3bf2a1 \
+                    7.0.034 sha1 56f153533612f9679a6738d3c657f14be1dd09dd \
+                    7.0.035 sha1 e8da3cff17eed18950fe680458ba3203bfa9e395 \
+                    7.0.036 sha1 09e9784634f32488ea91b3f49b35229552224480 \
+                    7.0.037 sha1 10a54622bab8c9abe6559334c2017c9160013e33 \
+                    7.0.038 sha1 07065c93f3b9c88687344d108b0a877d729f6027 \
+                    7.0.039 sha1 c64379758a14ec88659c8769d59c3f8df4e67a11 \
+                    7.0.040 sha1 5c5e8b04e5ee6793033aa393b1289a30c505e939 \
+                    7.0.041 sha1 1854f751286ca5a41d5b38f62498c7a28035dbf0 \
+                    7.0.042 sha1 aeb2b6c46782ff7d5b673655d1803da07855eceb \
+                    7.0.043 sha1 1217bf67ea301dc17fd2ffcac8c26611e76ef6df \
+                    7.0.044 sha1 c0c0c91101f35db455df8eaf41b1fdd65163df54 \
+                    7.0.045 sha1 2e88ad13a874e8dad1c225cef97080ac79f096b2 \
+                    7.0.046 sha1 a1e6e10e70286ebe880f07c723bcb4c76b7b5aef \
+                    7.0.047 sha1 cb10dfbc64059e273eb6fdb89a5cbb45df06bfdb \
+                    7.0.048 sha1 ba804b216ac86b2397a20dfc9b3174bc03b9b931 \
+                    7.0.049 sha1 8d49cc3c00b132857283d820a811608bc8c0f5fc \
+                    7.0.050 sha1 755601cd1af5e39a5ad7642a2b8936110d48588f \
+                    7.0.051 sha1 2a9c5a9183650f87423177a15118503816e0ba93 \
+                    7.0.052 sha1 f97c3c3a7b65ed199bb5c4a438e717cf386ba9f0 \
+                    7.0.053 sha1 e19d0d1118a86d81cfe1651be997bd9361032423 \
+                    7.0.054 sha1 a78084c4fb1ea82b9eaed600dfc1375944d1d7ad \
+                    7.0.055 sha1 6d8d80edcaccf89e729af2f331dd34008beb3950 \
+                    7.0.056 sha1 5268c1495c0a4a61b91585263b1983a51d2c72e1 \
+                    7.0.057 sha1 f83b6a85aa9687c2322f2dae6f6c5458b04bca05 \
+                    7.0.058 sha1 9d44743e0eac1338a5f93db0d8c95d727c801bb0 \
+                    7.0.059 sha1 744b2af26eefc3794ca7b79e879a0dcdbdd0c6ac \
+                    7.0.060 sha1 d5343c022733306d94861e31cc2f0d89769c3553 \
+                    7.0.061 sha1 4ab0f977f9de825f8cdf63d5b7fedb13551d8d0e \
+                    7.0.062 sha1 668091773aeef89be9ce564e2f928d4bb8be4bca \
+                    7.0.063 sha1 a9e4ebab3c86f09eb1ed2f9450090f33f5a3429e \
+                    7.0.064 sha1 bf8dcf33d73ddadf7847223016669f721dc80801 \
+                    7.0.065 sha1 daa8838720fff490ea1d43314d46ca21d17a1ddf \
+                    7.0.066 sha1 d7bbfbb053ff26c034bd644e0f22f7a345e21433