Index: trunk/dports/audio/hymn/Portfile
===================================================================
--- trunk/dports/audio/hymn/Portfile	(revision 20219)
+++ trunk/dports/audio/hymn/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2006/03/31 18:48:38 matt Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/icecast/Portfile
===================================================================
--- trunk/dports/audio/icecast/Portfile	(revision 20219)
+++ trunk/dports/audio/icecast/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.11 2004/11/29 18:38:46 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/icecast2/Portfile
===================================================================
--- trunk/dports/audio/icecast2/Portfile	(revision 20219)
+++ trunk/dports/audio/icecast2/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/02/17 00:58:14 yves Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/ices0/Portfile
===================================================================
--- trunk/dports/audio/ices0/Portfile	(revision 20219)
+++ trunk/dports/audio/ices0/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/02/17 01:00:07 yves Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/ices2/Portfile
===================================================================
--- trunk/dports/audio/ices2/Portfile	(revision 20219)
+++ trunk/dports/audio/ices2/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/04/21 15:57:43 jberry Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/id3lib/Portfile
===================================================================
--- trunk/dports/audio/id3lib/Portfile	(revision 20219)
+++ trunk/dports/audio/id3lib/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/03/22 09:22:03 mww Exp $
+# $Id$
 PortSystem 1.0
 name            id3lib
Index: trunk/dports/audio/id3tool/Portfile
===================================================================
--- trunk/dports/audio/id3tool/Portfile	(revision 20219)
+++ trunk/dports/audio/id3tool/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/12/28 23:20:33 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/id3v2/Portfile
===================================================================
--- trunk/dports/audio/id3v2/Portfile	(revision 20219)
+++ trunk/dports/audio/id3v2/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/03/28 18:48:21 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/lame/Portfile
===================================================================
--- trunk/dports/audio/lame/Portfile	(revision 20219)
+++ trunk/dports/audio/lame/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.19 2006/03/03 22:55:29 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libao/Portfile
===================================================================
--- trunk/dports/audio/libao/Portfile	(revision 20219)
+++ trunk/dports/audio/libao/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.16 2005/01/22 15:40:51 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libdts/Portfile
===================================================================
--- trunk/dports/audio/libdts/Portfile	(revision 20219)
+++ trunk/dports/audio/libdts/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/01/12 18:21:17 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libid3tag/Portfile
===================================================================
--- trunk/dports/audio/libid3tag/Portfile	(revision 20219)
+++ trunk/dports/audio/libid3tag/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/03/13 22:21:18 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libmad/Portfile
===================================================================
--- trunk/dports/audio/libmad/Portfile	(revision 20219)
+++ trunk/dports/audio/libmad/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/02/03 13:36:19 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libmikmod/Portfile
===================================================================
--- trunk/dports/audio/libmikmod/Portfile	(revision 20219)
+++ trunk/dports/audio/libmikmod/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.16 2006/03/12 17:47:09 yves Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libmodplug/Portfile
===================================================================
--- trunk/dports/audio/libmodplug/Portfile	(revision 20219)
+++ trunk/dports/audio/libmodplug/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/03/26 06:26:30 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libmusicbrainz/Portfile
===================================================================
--- trunk/dports/audio/libmusicbrainz/Portfile	(revision 20219)
+++ trunk/dports/audio/libmusicbrainz/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/03/31 20:38:47 markd Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libopendaap/Portfile
===================================================================
--- trunk/dports/audio/libopendaap/Portfile	(revision 20219)
+++ trunk/dports/audio/libopendaap/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.10 2005/05/18 06:14:31 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/liboss/Portfile
===================================================================
--- trunk/dports/audio/liboss/Portfile	(revision 20219)
+++ trunk/dports/audio/liboss/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/08/15 07:26:14 pguyot Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libsdl_mixer-framework/Portfile
===================================================================
--- trunk/dports/audio/libsdl_mixer-framework/Portfile	(revision 20219)
+++ trunk/dports/audio/libsdl_mixer-framework/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2006/06/30 04:08:09 ben Exp $
+# $Id$
 
 PortSystem		1.0
Index: trunk/dports/audio/libsdl_mixer/Portfile
===================================================================
--- trunk/dports/audio/libsdl_mixer/Portfile	(revision 20219)
+++ trunk/dports/audio/libsdl_mixer/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.15 2006/07/23 07:22:39 blb Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libsdl_sound-framework/Portfile
===================================================================
--- trunk/dports/audio/libsdl_sound-framework/Portfile	(revision 20219)
+++ trunk/dports/audio/libsdl_sound-framework/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/06/30 04:08:09 ben Exp $
+# $Id$
 PortSystem		1.0
 name			libsdl_sound-framework
Index: trunk/dports/audio/libsdl_sound/Portfile
===================================================================
--- trunk/dports/audio/libsdl_sound/Portfile	(revision 20219)
+++ trunk/dports/audio/libsdl_sound/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.9 2006/06/30 04:08:09 ben Exp $
+# $Id$
 PortSystem		1.0
 name			libsdl_sound
Index: trunk/dports/audio/libshout/Portfile
===================================================================
--- trunk/dports/audio/libshout/Portfile	(revision 20219)
+++ trunk/dports/audio/libshout/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.8 2004/01/16 20:22:31 fkr Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libshout2/Portfile
===================================================================
--- trunk/dports/audio/libshout2/Portfile	(revision 20219)
+++ trunk/dports/audio/libshout2/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/02/27 21:41:22 yves Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libsndfile/Portfile
===================================================================
--- trunk/dports/audio/libsndfile/Portfile	(revision 20219)
+++ trunk/dports/audio/libsndfile/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.12 2005/03/19 01:38:25 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libtagedit/Portfile
===================================================================
--- trunk/dports/audio/libtagedit/Portfile	(revision 20219)
+++ trunk/dports/audio/libtagedit/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/04/21 15:57:43 jberry Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/libvorbis/Portfile
===================================================================
--- trunk/dports/audio/libvorbis/Portfile	(revision 20219)
+++ trunk/dports/audio/libvorbis/Portfile	(revision 20220)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.11 2006/02/16 20:11:15 toby Exp $
+# $Id$
 
 PortSystem 1.0