Index: trunk/dports/audio/madplay/Portfile
===================================================================
--- trunk/dports/audio/madplay/Portfile	(revision 20220)
+++ trunk/dports/audio/madplay/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/03/11 17:34:42 danchr Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/mp3_check/Portfile
===================================================================
--- trunk/dports/audio/mp3_check/Portfile	(revision 20220)
+++ trunk/dports/audio/mp3_check/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/12/28 23:36:32 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/mp3info/Portfile
===================================================================
--- trunk/dports/audio/mp3info/Portfile	(revision 20220)
+++ trunk/dports/audio/mp3info/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.13 2005/07/30 12:26:44 yves Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/mp3splt/Portfile
===================================================================
--- trunk/dports/audio/mp3splt/Portfile	(revision 20220)
+++ trunk/dports/audio/mp3splt/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/07/26 07:21:35 blb Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/audio/mp3wrap/Portfile
===================================================================
--- trunk/dports/audio/mp3wrap/Portfile	(revision 20220)
+++ trunk/dports/audio/mp3wrap/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2006/08/16 07:23:32 blb Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/audio/mpeg4ip/Portfile
===================================================================
--- trunk/dports/audio/mpeg4ip/Portfile	(revision 20220)
+++ trunk/dports/audio/mpeg4ip/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2006/03/31 18:48:38 matt Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/mpg123/Portfile
===================================================================
--- trunk/dports/audio/mpg123/Portfile	(revision 20220)
+++ trunk/dports/audio/mpg123/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.16 2006/03/08 20:31:58 markd Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/mpg321/Portfile
===================================================================
--- trunk/dports/audio/mpg321/Portfile	(revision 20220)
+++ trunk/dports/audio/mpg321/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2004/04/03 12:43:09 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/mt-daapd/Portfile
===================================================================
--- trunk/dports/audio/mt-daapd/Portfile	(revision 20220)
+++ trunk/dports/audio/mt-daapd/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2006/03/13 22:30:47 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/normalize/Portfile
===================================================================
--- trunk/dports/audio/normalize/Portfile	(revision 20220)
+++ trunk/dports/audio/normalize/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.12 2004/11/03 00:12:51 blb Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/openal/Portfile
===================================================================
--- trunk/dports/audio/openal/Portfile	(revision 20220)
+++ trunk/dports/audio/openal/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2006/05/25 18:04:37 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/poc/Portfile
===================================================================
--- trunk/dports/audio/poc/Portfile	(revision 20220)
+++ trunk/dports/audio/poc/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2005/04/11 11:21:51 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/qtplay/Portfile
===================================================================
--- trunk/dports/audio/qtplay/Portfile	(revision 20220)
+++ trunk/dports/audio/qtplay/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/03/21 21:28:38 yves Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/shntool/Portfile
===================================================================
--- trunk/dports/audio/shntool/Portfile	(revision 20220)
+++ trunk/dports/audio/shntool/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.12 2004/03/19 23:18:40 mij Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/shorten/Portfile
===================================================================
--- trunk/dports/audio/shorten/Portfile	(revision 20220)
+++ trunk/dports/audio/shorten/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.10 2004/08/09 08:39:27 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/sox/Portfile
===================================================================
--- trunk/dports/audio/sox/Portfile	(revision 20220)
+++ trunk/dports/audio/sox/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.14 2004/12/22 18:25:18 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/speex-devel/Portfile
===================================================================
--- trunk/dports/audio/speex-devel/Portfile	(revision 20220)
+++ trunk/dports/audio/speex-devel/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/02/20 13:24:00 yves Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/speex/Portfile
===================================================================
--- trunk/dports/audio/speex/Portfile	(revision 20220)
+++ trunk/dports/audio/speex/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2006/03/21 10:11:09 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/sphinx3/Portfile
===================================================================
--- trunk/dports/audio/sphinx3/Portfile	(revision 20220)
+++ trunk/dports/audio/sphinx3/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/10/03 15:41:38 olegb Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/taglib/Portfile
===================================================================
--- trunk/dports/audio/taglib/Portfile	(revision 20220)
+++ trunk/dports/audio/taglib/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.7 2006/04/14 20:13:59 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/twolame/Portfile
===================================================================
--- trunk/dports/audio/twolame/Portfile	(revision 20220)
+++ trunk/dports/audio/twolame/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/12/10 23:01:09 joe Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/vorbis-tools/Portfile
===================================================================
--- trunk/dports/audio/vorbis-tools/Portfile	(revision 20220)
+++ trunk/dports/audio/vorbis-tools/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.14 2006/02/16 20:37:18 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/wavpack/Portfile
===================================================================
--- trunk/dports/audio/wavpack/Portfile	(revision 20220)
+++ trunk/dports/audio/wavpack/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/01/12 17:40:57 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/audio/xmms/Portfile
===================================================================
--- trunk/dports/audio/xmms/Portfile	(revision 20220)
+++ trunk/dports/audio/xmms/Portfile	(revision 20221)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.7 2006/03/10 14:55:11 takanori Exp $
+# $Id$
 
 PortSystem 1.0