Index: trunk/dports/cross/arm-aout-binutils/Portfile
===================================================================
--- trunk/dports/cross/arm-aout-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/arm-aout-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2005/01/07 20:09:25 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/arm-aout-gcc/Portfile
===================================================================
--- trunk/dports/cross/arm-aout-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/arm-aout-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2004/05/26 19:05:30 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/arm-elf-binutils/Portfile
===================================================================
--- trunk/dports/cross/arm-elf-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/arm-elf-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2006/03/01 07:14:26 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/arm-elf-gcc/Portfile
===================================================================
--- trunk/dports/cross/arm-elf-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/arm-elf-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2005/06/15 07:28:29 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/arm-rtems-binutils/Portfile
===================================================================
--- trunk/dports/cross/arm-rtems-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/arm-rtems-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2004/02/14 05:34:17 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/arm-rtems-gcc/Portfile
===================================================================
--- trunk/dports/cross/arm-rtems-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/arm-rtems-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/08/14 02:14:46 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/avarice/Portfile
===================================================================
--- trunk/dports/cross/avarice/Portfile	(revision 20224)
+++ trunk/dports/cross/avarice/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/01/27 13:37:50 olegb Exp $
+# $Id$
 PortSystem			1.0
 name				avarice
Index: trunk/dports/cross/avr-binutils/Portfile
===================================================================
--- trunk/dports/cross/avr-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/avr-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/04/10 07:19:15 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/avr-gcc/Portfile
===================================================================
--- trunk/dports/cross/avr-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/avr-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/04/10 08:33:59 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/avr-gdb/Portfile
===================================================================
--- trunk/dports/cross/avr-gdb/Portfile	(revision 20224)
+++ trunk/dports/cross/avr-gdb/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/10/04 17:34:22 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/cross/avr-libc/Portfile
===================================================================
--- trunk/dports/cross/avr-libc/Portfile	(revision 20224)
+++ trunk/dports/cross/avr-libc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/09/21 20:37:25 toby Exp $
+# $Id$
 PortSystem			1.0
 name				avr-libc
Index: trunk/dports/cross/avrdude/Portfile
===================================================================
--- trunk/dports/cross/avrdude/Portfile	(revision 20224)
+++ trunk/dports/cross/avrdude/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2006/07/22 06:15:39 pguyot Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/cross/i386-elf-binutils/Portfile
===================================================================
--- trunk/dports/cross/i386-elf-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/i386-elf-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2006/03/01 07:13:54 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/i386-elf-gcc/Portfile
===================================================================
--- trunk/dports/cross/i386-elf-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/i386-elf-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2005/01/10 07:01:34 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/i386-mingw32-binutils/Portfile
===================================================================
--- trunk/dports/cross/i386-mingw32-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/i386-mingw32-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/06/06 23:52:19 landonf Exp $
+# $Id$
 PortSystem		1.0
 
Index: trunk/dports/cross/i386-mingw32-gcc/Portfile
===================================================================
--- trunk/dports/cross/i386-mingw32-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/i386-mingw32-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/06/07 00:18:32 landonf Exp $
+# $Id$
 PortSystem			1.0
 
Index: trunk/dports/cross/i386-mingw32-runtime/Portfile
===================================================================
--- trunk/dports/cross/i386-mingw32-runtime/Portfile	(revision 20224)
+++ trunk/dports/cross/i386-mingw32-runtime/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2006/06/06 23:58:19 landonf Exp $
+# $Id$
 PortSystem		1.0
 
Index: trunk/dports/cross/i386-mingw32-w32api/Portfile
===================================================================
--- trunk/dports/cross/i386-mingw32-w32api/Portfile	(revision 20224)
+++ trunk/dports/cross/i386-mingw32-w32api/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/06/06 23:55:59 landonf Exp $
+# $Id$
 PortSystem		1.0
 
Index: trunk/dports/cross/i386-rtems-binutils/Portfile
===================================================================
--- trunk/dports/cross/i386-rtems-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/i386-rtems-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2004/02/14 05:34:18 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/i386-rtems-gcc/Portfile
===================================================================
--- trunk/dports/cross/i386-rtems-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/i386-rtems-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/08/14 02:14:47 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/i960-rtems-binutils/Portfile
===================================================================
--- trunk/dports/cross/i960-rtems-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/i960-rtems-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2004/02/14 05:34:18 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/i960-rtems-gcc/Portfile
===================================================================
--- trunk/dports/cross/i960-rtems-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/i960-rtems-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/08/14 02:14:47 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/m68k-elf-binutils/Portfile
===================================================================
--- trunk/dports/cross/m68k-elf-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/m68k-elf-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2006/03/01 07:48:04 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/m68k-elf-gcc/Portfile
===================================================================
--- trunk/dports/cross/m68k-elf-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/m68k-elf-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/01/10 18:31:48 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/m68k-rtems-binutils/Portfile
===================================================================
--- trunk/dports/cross/m68k-rtems-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/m68k-rtems-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2004/02/14 05:34:19 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/m68k-rtems-gcc/Portfile
===================================================================
--- trunk/dports/cross/m68k-rtems-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/m68k-rtems-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/08/14 02:14:47 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/mips-elf-binutils/Portfile
===================================================================
--- trunk/dports/cross/mips-elf-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/mips-elf-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2006/03/01 07:48:09 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/mips-elf-gcc/Portfile
===================================================================
--- trunk/dports/cross/mips-elf-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/mips-elf-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2006/03/04 02:31:05 mww Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/mips-rtems-binutils/Portfile
===================================================================
--- trunk/dports/cross/mips-rtems-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/mips-rtems-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2004/03/30 04:38:19 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/mips-rtems-gcc/Portfile
===================================================================
--- trunk/dports/cross/mips-rtems-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/mips-rtems-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/08/14 02:14:47 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/mipsel-linux-binutils/Portfile
===================================================================
--- trunk/dports/cross/mipsel-linux-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/mipsel-linux-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/03/06 20:39:31 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/cross/mipsel-linux-gcc34/Portfile
===================================================================
--- trunk/dports/cross/mipsel-linux-gcc34/Portfile	(revision 20224)
+++ trunk/dports/cross/mipsel-linux-gcc34/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/03/06 20:39:55 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/cross/mipsel-linux-kernel-headers/Portfile
===================================================================
--- trunk/dports/cross/mipsel-linux-kernel-headers/Portfile	(revision 20224)
+++ trunk/dports/cross/mipsel-linux-kernel-headers/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/03/06 20:41:13 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/cross/mipsel-linux-uclib-headers/Portfile
===================================================================
--- trunk/dports/cross/mipsel-linux-uclib-headers/Portfile	(revision 20224)
+++ trunk/dports/cross/mipsel-linux-uclib-headers/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/03/06 20:42:24 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/cross/mipsel-linux-uclib/Portfile
===================================================================
--- trunk/dports/cross/mipsel-linux-uclib/Portfile	(revision 20224)
+++ trunk/dports/cross/mipsel-linux-uclib/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/03/06 20:41:26 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/cross/powerpc-rtems-binutils/Portfile
===================================================================
--- trunk/dports/cross/powerpc-rtems-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/powerpc-rtems-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2004/02/14 05:34:19 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/powerpc-rtems-gcc/Portfile
===================================================================
--- trunk/dports/cross/powerpc-rtems-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/powerpc-rtems-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/08/14 02:14:47 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/sh-rtems-binutils/Portfile
===================================================================
--- trunk/dports/cross/sh-rtems-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/sh-rtems-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2004/02/14 05:34:20 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/sh-rtems-gcc/Portfile
===================================================================
--- trunk/dports/cross/sh-rtems-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/sh-rtems-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/08/14 02:14:47 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/sparc-rtems-binutils/Portfile
===================================================================
--- trunk/dports/cross/sparc-rtems-binutils/Portfile	(revision 20224)
+++ trunk/dports/cross/sparc-rtems-binutils/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2004/02/14 05:34:20 pguyot Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/cross/sparc-rtems-gcc/Portfile
===================================================================
--- trunk/dports/cross/sparc-rtems-gcc/Portfile	(revision 20224)
+++ trunk/dports/cross/sparc-rtems-gcc/Portfile	(revision 20225)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/08/14 02:12:28 pguyot Exp $
+# $Id$
 
 PortSystem			1.0