Index: trunk/dports/databases/FreeTDS/Portfile
===================================================================
--- trunk/dports/databases/FreeTDS/Portfile	(revision 20225)
+++ trunk/dports/databases/FreeTDS/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2005/09/29 21:14:29 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/MyODBC/Portfile
===================================================================
--- trunk/dports/databases/MyODBC/Portfile	(revision 20225)
+++ trunk/dports/databases/MyODBC/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2005/04/13 11:18:27 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/adodb/Portfile
===================================================================
--- trunk/dports/databases/adodb/Portfile	(revision 20225)
+++ trunk/dports/databases/adodb/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/06/26 00:02:03 markd Exp $
+# $Id$
 PortSystem      1.0
 
Index: trunk/dports/databases/cdb/Portfile
===================================================================
--- trunk/dports/databases/cdb/Portfile	(revision 20225)
+++ trunk/dports/databases/cdb/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/12/20 23:30:03 tristan Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/db4/Portfile
===================================================================
--- trunk/dports/databases/db4/Portfile	(revision 20225)
+++ trunk/dports/databases/db4/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.25 2006/02/14 08:10:20 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/db41/Portfile
===================================================================
--- trunk/dports/databases/db41/Portfile	(revision 20225)
+++ trunk/dports/databases/db41/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/02/14 18:36:03 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/db42/Portfile
===================================================================
--- trunk/dports/databases/db42/Portfile	(revision 20225)
+++ trunk/dports/databases/db42/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/02/14 13:05:46 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/db43/Portfile
===================================================================
--- trunk/dports/databases/db43/Portfile	(revision 20225)
+++ trunk/dports/databases/db43/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/02/14 18:58:25 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/db44/Portfile
===================================================================
--- trunk/dports/databases/db44/Portfile	(revision 20225)
+++ trunk/dports/databases/db44/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/02/17 14:53:46 jberry Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/dbh/Portfile
===================================================================
--- trunk/dports/databases/dbh/Portfile	(revision 20225)
+++ trunk/dports/databases/dbh/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2006/02/16 08:34:47 olegb Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/dbtool/Portfile
===================================================================
--- trunk/dports/databases/dbtool/Portfile	(revision 20225)
+++ trunk/dports/databases/dbtool/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/06/10 23:42:40 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/edb/Portfile
===================================================================
--- trunk/dports/databases/edb/Portfile	(revision 20225)
+++ trunk/dports/databases/edb/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/09/13 06:57:39 olegb Exp $
+# $Id$
 PortSystem 1.0
 name		edb
Index: trunk/dports/databases/fastdb/Portfile
===================================================================
--- trunk/dports/databases/fastdb/Portfile	(revision 20225)
+++ trunk/dports/databases/fastdb/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/10/25 14:29:57 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/gauche-dbd-mysql/Portfile
===================================================================
--- trunk/dports/databases/gauche-dbd-mysql/Portfile	(revision 20225)
+++ trunk/dports/databases/gauche-dbd-mysql/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/11/09 15:46:53 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/gauche-dbd-pg/Portfile
===================================================================
--- trunk/dports/databases/gauche-dbd-pg/Portfile	(revision 20225)
+++ trunk/dports/databases/gauche-dbd-pg/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/11/09 15:38:01 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/gdbm/Portfile
===================================================================
--- trunk/dports/databases/gdbm/Portfile	(revision 20225)
+++ trunk/dports/databases/gdbm/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.14 2004/02/08 23:16:02 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/gigabase/Portfile
===================================================================
--- trunk/dports/databases/gigabase/Portfile	(revision 20225)
+++ trunk/dports/databases/gigabase/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/03/12 20:16:09 waqar Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/gtksql/Portfile
===================================================================
--- trunk/dports/databases/gtksql/Portfile	(revision 20225)
+++ trunk/dports/databases/gtksql/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.12 2004/11/03 00:15:32 blb Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/libsdb/Portfile
===================================================================
--- trunk/dports/databases/libsdb/Portfile	(revision 20225)
+++ trunk/dports/databases/libsdb/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/11/14 23:16:19 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/metakit/Portfile
===================================================================
--- trunk/dports/databases/metakit/Portfile	(revision 20225)
+++ trunk/dports/databases/metakit/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/06/14 06:28:41 jkh Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/mysql/Portfile
===================================================================
--- trunk/dports/databases/mysql/Portfile	(revision 20225)
+++ trunk/dports/databases/mysql/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.41 2004/10/08 06:05:31 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/mysql3/Portfile
===================================================================
--- trunk/dports/databases/mysql3/Portfile	(revision 20225)
+++ trunk/dports/databases/mysql3/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/03/03 11:17:00 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/mysql4/Portfile
===================================================================
--- trunk/dports/databases/mysql4/Portfile	(revision 20225)
+++ trunk/dports/databases/mysql4/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.26 2006/06/11 14:55:14 jberry Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/mysql5/Portfile
===================================================================
--- trunk/dports/databases/mysql5/Portfile	(revision 20225)
+++ trunk/dports/databases/mysql5/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.21 2006/08/25 00:49:28 jberry Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/mysqltcl/Portfile
===================================================================
--- trunk/dports/databases/mysqltcl/Portfile	(revision 20225)
+++ trunk/dports/databases/mysqltcl/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.13 2006/06/22 17:59:50 markd Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/mysqlxx/Portfile
===================================================================
--- trunk/dports/databases/mysqlxx/Portfile	(revision 20225)
+++ trunk/dports/databases/mysqlxx/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/02/16 19:40:40 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/openldap/Portfile
===================================================================
--- trunk/dports/databases/openldap/Portfile	(revision 20225)
+++ trunk/dports/databases/openldap/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.13 2005/09/14 17:06:54 landonf Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/pgpool/Portfile
===================================================================
--- trunk/dports/databases/pgpool/Portfile	(revision 20225)
+++ trunk/dports/databases/pgpool/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2006/08/19 12:38:35 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/pgsqlclient/Portfile
===================================================================
--- trunk/dports/databases/pgsqlclient/Portfile	(revision 20225)
+++ trunk/dports/databases/pgsqlclient/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/07/18 21:05:54 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/postgis/Portfile
===================================================================
--- trunk/dports/databases/postgis/Portfile	(revision 20225)
+++ trunk/dports/databases/postgis/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/01/23 08:41:50 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/postgresql/Portfile
===================================================================
--- trunk/dports/databases/postgresql/Portfile	(revision 20225)
+++ trunk/dports/databases/postgresql/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.59 2006/02/14 07:32:40 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/postgresql7/Portfile
===================================================================
--- trunk/dports/databases/postgresql7/Portfile	(revision 20225)
+++ trunk/dports/databases/postgresql7/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/08/19 11:59:14 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/postgresql8/Portfile
===================================================================
--- trunk/dports/databases/postgresql8/Portfile	(revision 20225)
+++ trunk/dports/databases/postgresql8/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.37 2006/08/18 09:36:22 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/postgresql81-doc/Portfile
===================================================================
--- trunk/dports/databases/postgresql81-doc/Portfile	(revision 20225)
+++ trunk/dports/databases/postgresql81-doc/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/05/23 21:56:24 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/postgresql81-server/Portfile
===================================================================
--- trunk/dports/databases/postgresql81-server/Portfile	(revision 20225)
+++ trunk/dports/databases/postgresql81-server/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/05/23 21:55:44 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/postgresql81/Portfile
===================================================================
--- trunk/dports/databases/postgresql81/Portfile	(revision 20225)
+++ trunk/dports/databases/postgresql81/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/05/23 21:57:00 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/postgresql_autodoc/Portfile
===================================================================
--- trunk/dports/databases/postgresql_autodoc/Portfile	(revision 20225)
+++ trunk/dports/databases/postgresql_autodoc/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2005/10/02 13:17:47 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/pqa/Portfile
===================================================================
--- trunk/dports/databases/pqa/Portfile	(revision 20225)
+++ trunk/dports/databases/pqa/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.8 2005/11/28 19:33:43 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/qdbm/Portfile
===================================================================
--- trunk/dports/databases/qdbm/Portfile	(revision 20225)
+++ trunk/dports/databases/qdbm/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.12 2006/08/27 17:17:25 takanori Exp $
+# $Id$
 
 PortSystem		1.0
Index: trunk/dports/databases/shsql/Portfile
===================================================================
--- trunk/dports/databases/shsql/Portfile	(revision 20225)
+++ trunk/dports/databases/shsql/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/04/29 14:55:39 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/slony1/Portfile
===================================================================
--- trunk/dports/databases/slony1/Portfile	(revision 20225)
+++ trunk/dports/databases/slony1/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/04/16 09:36:30 mww Exp $
+# $Id$
 
 PortSystem        1.0
Index: trunk/dports/databases/sqlite2/Portfile
===================================================================
--- trunk/dports/databases/sqlite2/Portfile	(revision 20225)
+++ trunk/dports/databases/sqlite2/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2006/03/03 11:23:28 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/sqlite3/Portfile
===================================================================
--- trunk/dports/databases/sqlite3/Portfile	(revision 20225)
+++ trunk/dports/databases/sqlite3/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.22 2006/08/18 11:39:18 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/tinycdb/Portfile
===================================================================
--- trunk/dports/databases/tinycdb/Portfile	(revision 20225)
+++ trunk/dports/databases/tinycdb/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/11/25 20:52:29 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/unixODBC/Portfile
===================================================================
--- trunk/dports/databases/unixODBC/Portfile	(revision 20225)
+++ trunk/dports/databases/unixODBC/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.10 2005/09/20 23:03:37 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/databases/xbase/Portfile
===================================================================
--- trunk/dports/databases/xbase/Portfile	(revision 20225)
+++ trunk/dports/databases/xbase/Portfile	(revision 20226)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2004/11/30 15:33:43 mww Exp $
+# $Id$
 
 PortSystem 1.0