Index: trunk/dports/devel/agprocess/Portfile
===================================================================
--- trunk/dports/devel/agprocess/Portfile	(revision 20264)
+++ trunk/dports/devel/agprocess/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2005/09/06 00:24:26 pguyot Exp $
+# $Id$
 PortSystem		1.0
 PortGroup		xcode 1.0
Index: trunk/dports/devel/agregex/Portfile
===================================================================
--- trunk/dports/devel/agregex/Portfile	(revision 20264)
+++ trunk/dports/devel/agregex/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/03/18 08:20:20 markd Exp $
+# $Id$
 PortSystem		1.0
 name			agregex
Index: trunk/dports/devel/agsocket/Portfile
===================================================================
--- trunk/dports/devel/agsocket/Portfile	(revision 20264)
+++ trunk/dports/devel/agsocket/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/08/11 21:33:17 rshaw Exp $
+# $Id$
 PortSystem		1.0
 name			agsocket
Index: trunk/dports/devel/alex/Portfile
===================================================================
--- trunk/dports/devel/alex/Portfile	(revision 20264)
+++ trunk/dports/devel/alex/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/03/23 14:50:28 gwright Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/allegro/Portfile
===================================================================
--- trunk/dports/devel/allegro/Portfile	(revision 20264)
+++ trunk/dports/devel/allegro/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/09/13 06:57:39 olegb Exp $
+# $Id$
 PortSystem 1.0
 name		allegro
Index: trunk/dports/devel/apache-ant/Portfile
===================================================================
--- trunk/dports/devel/apache-ant/Portfile	(revision 20264)
+++ trunk/dports/devel/apache-ant/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.22 2005/06/03 15:46:26 jberry Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/apr-util/Portfile
===================================================================
--- trunk/dports/devel/apr-util/Portfile	(revision 20264)
+++ trunk/dports/devel/apr-util/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.30 2006/05/14 18:49:11 dluke Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/apr/Portfile
===================================================================
--- trunk/dports/devel/apr/Portfile	(revision 20264)
+++ trunk/dports/devel/apr/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.34 2006/05/14 18:48:48 dluke Exp $
+# $Id$
 
 PortSystem	1.0
Index: trunk/dports/devel/aqbanking/Portfile
===================================================================
--- trunk/dports/devel/aqbanking/Portfile	(revision 20264)
+++ trunk/dports/devel/aqbanking/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/08/08 21:44:48 mas Exp $
+# $Id$
 
 PortSystem        1.0
Index: trunk/dports/devel/archway/Portfile
===================================================================
--- trunk/dports/devel/archway/Portfile	(revision 20264)
+++ trunk/dports/devel/archway/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/11/09 23:21:44 mww Exp $
+# $Id$
 PortSystem 1.0
 name              archway
Index: trunk/dports/devel/argtable/Portfile
===================================================================
--- trunk/dports/devel/argtable/Portfile	(revision 20264)
+++ trunk/dports/devel/argtable/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/02/01 04:33:40 waqar Exp $
+# $Id$
 
 PortSystem	1.0
Index: trunk/dports/devel/atk/Portfile
===================================================================
--- trunk/dports/devel/atk/Portfile	(revision 20264)
+++ trunk/dports/devel/atk/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.25 2006/08/25 03:36:22 mij Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/autobook/Portfile
===================================================================
--- trunk/dports/devel/autobook/Portfile	(revision 20264)
+++ trunk/dports/devel/autobook/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/09/13 06:57:39 olegb Exp $
+# $Id$
 PortSystem 1.0
 name		autobook
Index: trunk/dports/devel/autobuild/Portfile
===================================================================
--- trunk/dports/devel/autobuild/Portfile	(revision 20264)
+++ trunk/dports/devel/autobuild/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/08/27 14:21:48 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/autoconf/Portfile
===================================================================
--- trunk/dports/devel/autoconf/Portfile	(revision 20264)
+++ trunk/dports/devel/autoconf/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2006/08/26 07:03:29 markd Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/autoconf213/Portfile
===================================================================
--- trunk/dports/devel/autoconf213/Portfile	(revision 20264)
+++ trunk/dports/devel/autoconf213/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/01/24 20:51:39 mww Exp $
+# $Id$
 PortSystem 1.0
 
Index: trunk/dports/devel/autogen/Portfile
===================================================================
--- trunk/dports/devel/autogen/Portfile	(revision 20264)
+++ trunk/dports/devel/autogen/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.11 2006/08/18 08:18:58 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/automake/Portfile
===================================================================
--- trunk/dports/devel/automake/Portfile	(revision 20264)
+++ trunk/dports/devel/automake/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.8 2005/09/27 22:08:29 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/automake17/Portfile
===================================================================
--- trunk/dports/devel/automake17/Portfile	(revision 20264)
+++ trunk/dports/devel/automake17/Portfile	(revision 20265)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2006/05/06 13:10:44 mww Exp $
+# $Id$
 
 PortSystem 1.0