Index: trunk/dports/devel/c2hs/Portfile
===================================================================
--- trunk/dports/devel/c2hs/Portfile	(revision 20266)
+++ trunk/dports/devel/c2hs/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2006/06/20 15:13:07 gwright Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/c_count/Portfile
===================================================================
--- trunk/dports/devel/c_count/Portfile	(revision 20266)
+++ trunk/dports/devel/c_count/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/07/28 03:56:06 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/caml-calendar/Portfile
===================================================================
--- trunk/dports/devel/caml-calendar/Portfile	(revision 20266)
+++ trunk/dports/devel/caml-calendar/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/09/21 20:41:35 toby Exp $
+# $Id$
 
 PortSystem          1.0
Index: trunk/dports/devel/camlimages/Portfile
===================================================================
--- trunk/dports/devel/camlimages/Portfile	(revision 20266)
+++ trunk/dports/devel/camlimages/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2006/03/02 18:39:16 matt Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/devel/ccache/Portfile
===================================================================
--- trunk/dports/devel/ccache/Portfile	(revision 20266)
+++ trunk/dports/devel/ccache/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.13 2005/08/26 18:53:31 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cfitsio/Portfile
===================================================================
--- trunk/dports/devel/cfitsio/Portfile	(revision 20266)
+++ trunk/dports/devel/cfitsio/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2006/01/18 08:44:48 blb Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/devel/cflow/Portfile
===================================================================
--- trunk/dports/devel/cflow/Portfile	(revision 20266)
+++ trunk/dports/devel/cflow/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/11/22 14:23:18 mww Exp $
+# $Id$
 
 PortSystem	1.0
Index: trunk/dports/devel/check/Portfile
===================================================================
--- trunk/dports/devel/check/Portfile	(revision 20266)
+++ trunk/dports/devel/check/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2005/08/31 17:48:33 toby Exp $
+# $Id$
 PortSystem			1.0
 
Index: trunk/dports/devel/class-dump/Portfile
===================================================================
--- trunk/dports/devel/class-dump/Portfile	(revision 20266)
+++ trunk/dports/devel/class-dump/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.12 2006/03/16 02:50:40 waqar Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/clog/Portfile
===================================================================
--- trunk/dports/devel/clog/Portfile	(revision 20266)
+++ trunk/dports/devel/clog/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/09/08 18:36:51 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/clucene/Portfile
===================================================================
--- trunk/dports/devel/clucene/Portfile	(revision 20266)
+++ trunk/dports/devel/clucene/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.8 2006/03/22 17:36:49 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cmunge/Portfile
===================================================================
--- trunk/dports/devel/cmunge/Portfile	(revision 20266)
+++ trunk/dports/devel/cmunge/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/10/29 19:44:15 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cocoa-sharp/Portfile
===================================================================
--- trunk/dports/devel/cocoa-sharp/Portfile	(revision 20266)
+++ trunk/dports/devel/cocoa-sharp/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/02/20 19:21:08 cjr Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cogito/Portfile
===================================================================
--- trunk/dports/devel/cogito/Portfile	(revision 20266)
+++ trunk/dports/devel/cogito/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2006/08/27 06:17:15 markd Exp $
+# $Id$
 PortSystem        1.0
 name              cogito
Index: trunk/dports/devel/colordiff/Portfile
===================================================================
--- trunk/dports/devel/colordiff/Portfile	(revision 20266)
+++ trunk/dports/devel/colordiff/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2006/03/23 02:09:14 markd Exp $
+# $Id$
 PortSystem 1.0
 name			colordiff
Index: trunk/dports/devel/commoncpp2/Portfile
===================================================================
--- trunk/dports/devel/commoncpp2/Portfile	(revision 20266)
+++ trunk/dports/devel/commoncpp2/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2006/07/12 08:19:33 blb Exp $
+# $Id$
 
 PortSystem			1.0
Index: trunk/dports/devel/cook/Portfile
===================================================================
--- trunk/dports/devel/cook/Portfile	(revision 20266)
+++ trunk/dports/devel/cook/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2005/01/03 08:50:52 waqar Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cpphs/Portfile
===================================================================
--- trunk/dports/devel/cpphs/Portfile	(revision 20266)
+++ trunk/dports/devel/cpphs/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/10/13 15:10:28 gwright Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cppunit/Portfile
===================================================================
--- trunk/dports/devel/cppunit/Portfile	(revision 20266)
+++ trunk/dports/devel/cppunit/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/08/01 17:30:50 mww Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cryptlib/Portfile
===================================================================
--- trunk/dports/devel/cryptlib/Portfile	(revision 20266)
+++ trunk/dports/devel/cryptlib/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.7 2006/08/16 07:23:32 blb Exp $
+# $Id$
 
 PortSystem		1.0
Index: trunk/dports/devel/cryptokit/Portfile
===================================================================
--- trunk/dports/devel/cryptokit/Portfile	(revision 20266)
+++ trunk/dports/devel/cryptokit/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/06/22 04:56:19 pguyot Exp $
+# $Id$
 
 PortSystem          1.0
Index: trunk/dports/devel/cscope/Portfile
===================================================================
--- trunk/dports/devel/cscope/Portfile	(revision 20266)
+++ trunk/dports/devel/cscope/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/04/14 23:07:09 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cssc/Portfile
===================================================================
--- trunk/dports/devel/cssc/Portfile	(revision 20266)
+++ trunk/dports/devel/cssc/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/01/23 03:30:42 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/ctags/Portfile
===================================================================
--- trunk/dports/devel/ctags/Portfile	(revision 20266)
+++ trunk/dports/devel/ctags/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.16 2005/08/19 18:37:11 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cups-headers/Portfile
===================================================================
--- trunk/dports/devel/cups-headers/Portfile	(revision 20266)
+++ trunk/dports/devel/cups-headers/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2004/12/17 13:45:28 toby Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/curlhandle/Portfile
===================================================================
--- trunk/dports/devel/curlhandle/Portfile	(revision 20266)
+++ trunk/dports/devel/curlhandle/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2005/08/24 04:08:21 ben Exp $
+# $Id$
 PortSystem		1.0
 
Index: trunk/dports/devel/cvs-port/Portfile
===================================================================
--- trunk/dports/devel/cvs-port/Portfile	(revision 20266)
+++ trunk/dports/devel/cvs-port/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.29 2006/08/08 07:07:52 yeled Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cvs2svn/Portfile
===================================================================
--- trunk/dports/devel/cvs2svn/Portfile	(revision 20266)
+++ trunk/dports/devel/cvs2svn/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.9 2006/08/28 12:56:34 dluke Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cvsdiff2patch/Portfile
===================================================================
--- trunk/dports/devel/cvsdiff2patch/Portfile	(revision 20266)
+++ trunk/dports/devel/cvsdiff2patch/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2003/08/05 09:29:01 jkh Exp $
+# $Id$
 PortSystem 1.0
 name			cvsdiff2patch
Index: trunk/dports/devel/cvsgraph/Portfile
===================================================================
--- trunk/dports/devel/cvsgraph/Portfile	(revision 20266)
+++ trunk/dports/devel/cvsgraph/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2005/08/11 21:33:19 rshaw Exp $
+# $Id$
 PortSystem	1.0
 
Index: trunk/dports/devel/cvslock/Portfile
===================================================================
--- trunk/dports/devel/cvslock/Portfile	(revision 20266)
+++ trunk/dports/devel/cvslock/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2004/01/15 15:17:46 olegb Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cvsweb/Portfile
===================================================================
--- trunk/dports/devel/cvsweb/Portfile	(revision 20266)
+++ trunk/dports/devel/cvsweb/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.12 2006/04/13 21:52:37 markd Exp $
+# $Id$
 
 PortSystem 1.0
Index: trunk/dports/devel/cxref/Portfile
===================================================================
--- trunk/dports/devel/cxref/Portfile	(revision 20266)
+++ trunk/dports/devel/cxref/Portfile	(revision 20267)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2005/12/01 22:15:41 mww Exp $
+# $Id$
 
 PortSystem 1.0